"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
const plugin_utils_1 = require("umi/plugin-utils");
const extsMap = {
    javascript: ['.ts', '.tsx', '.js', '.jsx'],
    css: ['.less', '.sass', '.scss', '.stylus', '.css'],
};
/**
 * Try to match the exact extname of the file in a specific directory.
 * @returns
 * - matched: `{ path: string; filename: string }`
 * - otherwise: `null`
 */
function getFile(opts) {
    const exts = extsMap[opts.type];
    for (const ext of exts) {
        const filename = `${opts.fileNameWithoutExt}${ext}`;
        const path = (0, plugin_utils_1.winPath)((0, path_1.join)(opts.base, filename));
        if ((0, fs_1.existsSync)(path)) {
            return {
                path,
                filename,
            };
        }
    }
    return null;
}
exports.default = getFile;
